Bug 250173 - deskutils/qownnotes: Update to version 21.8.0
Summary: deskutils/qownnotes: Update to version 21.8.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Alexey Dokuchaev
URL:
Keywords: needs-patch
Depends on:
Blocks:
 
Reported: 2020-10-07 09:08 UTC by khampf
Modified: 2021-08-06 10:18 UTC (History)
3 users (show)

See Also:
danfe: maintainer-feedback-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description khampf 2020-10-07 09:08:08 UTC
It seems like image attachments do not work in the current port version so I guess more users might be interested. I hope it is not rude to report a new version like this.

I tried patching the port but got warnings and errors I can not fix myself at the moment, some calls needs rework/ignoring and then getaux() should exist but does not work for me. This was in a library and I might revisit the issue when I have more time to work on it.
Comment 1 Matthew Stobbs 2020-10-12 02:12:54 UTC
Sorry, been sick and didn't see this until now. I've been meaning to get back and update this, but since the world went mad, work has been extra busy.

Thanks for the legwork! I'll try to get it fixed up soon.
Comment 2 commit-hook freebsd_committer 2021-08-06 10:17:10 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=79a76430470c67cb3b22e301e556421ae0392dc9

commit 79a76430470c67cb3b22e301e556421ae0392dc9
Author:     Alexey Dokuchaev <danfe@FreeBSD.org>
AuthorDate: 2021-08-06 10:15:52 +0000
Commit:     Alexey Dokuchaev <danfe@FreeBSD.org>
CommitDate: 2021-08-06 10:15:53 +0000

    deskutils/qownnotes: the port had been updated and improved (+)

    - Update QOwnNotes to the latest version 21.8.0
    - Actualize Qt dependencies, most importantly, remove dreaded `webkit'
    - Do not build against outdated bundled Botan library and use the one
      from the ports instead
    - While here, massage the COMMENT line and port description slightly

    PR:     250173

 deskutils/qownnotes/Makefile  | 15 ++++---
 deskutils/qownnotes/distinfo  |  6 +--
 deskutils/qownnotes/pkg-descr |  7 ++--
 deskutils/qownnotes/pkg-plist | 97 +++++++++++++++++++++++++++++--------------
 4 files changed, 81 insertions(+), 44 deletions(-)